summaryrefslogtreecommitdiff
path: root/git/commit.sh
diff options
context:
space:
mode:
Diffstat (limited to 'git/commit.sh')
-rwxr-xr-xgit/commit.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/git/commit.sh b/git/commit.sh
index 16a8076..cc05cf5 100755
--- a/git/commit.sh
+++ b/git/commit.sh
@@ -38,8 +38,20 @@ for i in $modules; do
cd $i
if [ "$add" = "y" ]; then
git add .
+
+ if [ $? -ne 0 ]; then
+ echo "add FAILED" 1>&2
+ exit 1
+ fi
+
fi
git commit -F $msg_file
+
+ if [ $? -ne 0 ]; then
+ echo "commit FAILED" 1>&2
+ exit 1
+ fi
+
cd $wd
done